Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454411 - On s390x, stty: standard input: Bad file descriptor
Summary: On s390x, stty: standard input: Bad file descriptor
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer
Version: 520
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Pazdziora
QA Contact: Steve Salevan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 11:38 UTC by Jan Pazdziora
Modified: 2008-11-05 18:41 UTC (History)
2 users (show)

Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-05 18:41:05 UTC


Attachments (Terms of Use)

Description Jan Pazdziora 2008-07-08 11:38:02 UTC
Description of problem:

When running install of Satellite on s390x, I get

** Activating Satellite.
* Enabling Monitoring.
* Creating SSL certificates.
CA certificate password? stty: standard input: Bad file descriptor
stty: standard input: Bad file descriptor

Those stty messages do not seem correct, and the password is shown.

Version-Release number of selected component (if applicable):

Satellite-5.2.0-RHEL4-re20080704.0

How reproducible:

Tried once.

Steps to Reproduce:
1. Run ./install.pl --disconnected
  
Actual results:

** Activating Satellite.
* Enabling Monitoring.
* Creating SSL certificates.
CA certificate password? stty: standard input: Bad file descriptor
stty: standard input: Bad file descriptor

and password is shown as it is typed.

Expected results:

** Activating Satellite.
* Enabling Monitoring.
* Creating SSL certificates.
CA certificate password?
Re-enter CA certificate password?

No warning and no password shown.

Additional info:

Comment 1 Milan Zázrivec 2008-07-09 14:25:15 UTC
Sending        install/stage2.pl
Transmitting file data .
Committed revision 174908.

Comment 2 Michael Mráka 2008-07-24 09:33:21 UTC
Ported to RELEASE-5.2, r175400.

Comment 3 Brad Buckingham 2008-08-13 16:52:29 UTC
Mass move to ON_QA.

Comment 4 Steve Salevan 2008-09-02 15:58:34 UTC
Checked against RHEL4/5 s390x 520 ISOs; error message not seen and password not echoed to terminal.  Moving to VERIFIED.

Comment 5 wes hayutin 2008-10-23 19:45:35 UTC
release pendin
* Activating Satellite.
Where is your satellite certificate file? /root/cert.cert
** Loading Satellite Certificate.
** Verifying certificate locally.
** Activating Satellite.
* Enabling Monitoring.
* Creating SSL certificates.
CA certificate password? 
Re-enter CA certificate password? 
Organization? Red Hat
Organization Unit [rhndev4.z900.redhat.com]? RHEN
Email Address [whayutin@redhat.com]? 
City? Raleigh
State? NC
Country code (Examples: "US", "JP", "IN", or type "?" to see a list)? US
** SSL: Generating CA certificate.
** SSL: Deploying CA certificate.
** SSL: Generating server certificate.
** SSL: Storing SSL certificates.
* Deploying configuration files.
* Update configuration in database.
* Restarting services.
Installation complete.
Visit https://rhndev4.z900.redhat.com to create the satellite administrator account.
[root@rhndev4 iso]#

Comment 6 Brandon Perkins 2008-11-05 18:41:05 UTC
5.2.0 Satellite is now GA, bugs Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.